Update Headers
Overwrite all current HTTP headers with the new header set.
This method allows you to overwrite all current HTTP headers on the MCP server with the new header set. Returns all headers and their values, except for the values of secret headers.
Request
URI
PUT
https://{api_host}/api/v1/control/mcp-servers/{mcp_server_id}/headers
COPY
Path Parameters
string
mcp_server_id
Required
mcp_server_id
Request Body
[
{
"name": "string",
"value": "string",
"is_secret": false
}
]
Responses
200
Successful Response
Returns
McpServerHeaderListResponse
of type(s)
application/json
{
"object": "string",
"data": [
{}
],
"num_objects": 0
}
string
object
Optional
Constraints:
default: list
Object type, which is always list.
array of
object
data
Required
data
integer
num_objects
Required
Total number of objects that match the request.
404
Invalid MCP server ID.
Operation doesn't return any data structure
422
Validation Error
Returns
HTTPValidationError
of type(s)
application/json
{
"detail": [
{
"loc": [
{}
],
"msg": "string",
"type": "string"
}
]
}
array of
object
detail
Optional
detail
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/api/v1/control/mcp-servers/{mcp_server_id}/headers
On This Page
Mcp Servers Operations
GET
List Tools
GET
List Mcp Servers
POST
Create Mcp Server
GET
Get Mcp Server
PATCH
Update Mcp Server
DELETE
Delete Mcp Server
GET
Test Mcp Server Configuration
POST
Test Mcp Server Connectivity
POST
Update Tool Approval
POST
Batch Update Tool Approval
GET
Get Headers
PUT
Update Headers
PATCH
Patch Headers
DELETE
Delete Header